VTK: vtkPointData Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkPointData Class Reference

represent and manipulate point attribute data More...

`#include <vtkPointData.h>`

Inheritance diagram for vtkPointData:
[legend]
Collaboration diagram for vtkPointData:
[legend]

## Public Types
typedef vtkDataSetAttributes | Superclass
Public Types inherited from vtkDataSetAttributes
enum | AttributeTypes { SCALARS = 0 , VECTORS = 1 , NORMALS = 2 , TCOORDS = 3 , TENSORS = 4 , GLOBALIDS = 5 , PEDIGREEIDS = 6 , EDGEFLAG = 7 , TANGENTS = 8 , RATIONALWEIGHTS = 9 , HIGHERORDERDEGREES = 10 , PROCESSIDS = 11 , NUM_ATTRIBUTES }
enum | AttributeLimitTypes { MAX , EXACT , NOLIMIT }
enum | CellGhostTypes { DUPLICATECELL = 1 , HIGHCONNECTIVITYCELL = 2 , LOWCONNECTIVITYCELL = 4 , REFINEDCELL = 8 , EXTERIORCELL = 16 , HIDDENCELL }
enum | PointGhostTypes { DUPLICATEPOINT = 1 , HIDDENPOINT }
enum | AttributeCopyOperations { COPYTUPLE = 0 , INTERPOLATE = 1 , PASSDATA = 2 , ALLCOPY }
typedef vtkFieldData | Superclass
using | FieldList = vtkDataSetAttributesFieldList
Public Types inherited from vtkFieldData
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkPointData * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
Public Member Functions inherited from vtkDataSetAttributes
vtkDataSetAttributes * | NewInstance () const
void | Initialize () override
| Initialize all of the object's data to nullptr Also, clear the copy flags. More...
virtual void | Update ()
| Attributes have a chance to bring themselves up to date; right now this is ignored. More...
void | DeepCopy (vtkFieldData *pd) override
| Deep copy of data (i.e., create new data arrays and copy from input data). More...
void | ShallowCopy (vtkFieldData *pd) override
| Shallow copy of data (i.e., use reference counting). More...
int | SetActiveAttribute (const char *name, int attributeType)
| Make the array with the given name the active attribute. More...
int | SetActiveAttribute (int index, int attributeType)
| Make the array with the given index the active attribute. More...
void | GetAttributeIndices (int *indexArray)
| Get the field data array indices corresponding to scalars, vectors, tensors, etc. More...
int | IsArrayAnAttribute (int idx)
| Determine whether a data array of index idx is considered a data set attribute (i.e., scalar, vector, tensor, etc). More...
int | SetAttribute (vtkAbstractArray *aa, int attributeType)
| Set an array to use as the given attribute type (i.e., vtkDataSetAttributes::SCALAR, vtkDataSetAttributes::VECTOR, vtkDataSetAttributes::TENSOR, etc.). More...
vtkDataArray * | GetAttribute (int attributeType)
| Return an attribute given the attribute type (see vtkDataSetAttributes::AttributeTypes). More...
vtkAbstractArray * | GetAbstractAttribute (int attributeType)
| Return an attribute given the attribute type (see vtkDataSetAttributes::AttributeTypes). More...
void | SetCopyAttribute (int index, int value, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
int | GetCopyAttribute (int index, int ctype)
| Get the attribute copy flag for copy operation `ctype` of attribute `index`. More...
void | SetCopyScalars (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyScalars (int ctype=ALLCOPY)
virtual void | CopyScalarsOn ()
virtual void | CopyScalarsOff ()
void | SetCopyVectors (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyVectors (int ctype=ALLCOPY)
virtual void | CopyVectorsOn ()
virtual void | CopyVectorsOff ()
void | SetCopyNormals (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyNormals (int ctype=ALLCOPY)
virtual void | CopyNormalsOn ()
virtual void | CopyNormalsOff ()
void | SetCopyTangents (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyTangents (int ctype=ALLCOPY)
virtual void | CopyTangentsOn ()
virtual void | CopyTangentsOff ()
void | SetCopyTCoords (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyTCoords (int ctype=ALLCOPY)
virtual void | CopyTCoordsOn ()
virtual void | CopyTCoordsOff ()
void | SetCopyTensors (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyTensors (int ctype=ALLCOPY)
virtual void | CopyTensorsOn ()
virtual void | CopyTensorsOff ()
void | SetCopyGlobalIds (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyGlobalIds (int ctype=ALLCOPY)
virtual void | CopyGlobalIdsOn ()
virtual void | CopyGlobalIdsOff ()
void | SetCopyPedigreeIds (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyPedigreeIds (int ctype=ALLCOPY)
virtual void | CopyPedigreeIdsOn ()
virtual void | CopyPedigreeIdsOff ()
void | SetCopyRationalWeights (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyRationalWeights (int ctype=ALLCOPY)
virtual void | CopyRationalWeightsOn ()
virtual void | CopyRationalWeightsOff ()
void | SetCopyHigherOrderDegrees (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyHigherOrderDegrees (int ctype=ALLCOPY)
virtual void | CopyHigherOrderDegreesOn ()
virtual void | CopyHigherOrderDegreesOff ()
void | SetCopyProcessIds (vtkTypeBool i, int ctype=ALLCOPY)
| Turn on/off the copying of attribute data. More...
vtkTypeBool | GetCopyProcessIds (int ctype=ALLCOPY)
virtual void | CopyProcessIdsOn ()
virtual void | CopyProcessIdsOff ()
void | CopyAllOn (int ctype=ALLCOPY) override
| Turn on/off the copying of attribute data. More...
void | CopyAllOff (int ctype=ALLCOPY) override
| Turn on/off the copying of attribute data. More...
void | PassData (vtkFieldData *fd) override
| Pass entire arrays of input data through to output. More...
void | SetupForCopy (vtkDataSetAttributes *pd)
| Create a mapping between the input attributes and this object so that methods like CopyData() and CopyStructuredData() can be called. More...
void | CopyStructuredData (vtkDataSetAttributes *inDsa, const int *inExt, const int *outExt, bool setSize=true)
| This method is used to copy data arrays in images. More...
void | CopyData (vtkDataSetAttributes *fromPd, vtkIdType dstStart, vtkIdType n, vtkIdType srcStart)
| Copy n consecutive attributes starting at srcStart from fromPd to this container, starting at the dstStart location. More...
void | InterpolatePoint (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdList *ids, double *weights)
| Interpolate data set attributes from other data set attributes given cell or point ids and associated interpolation weights. More...
void | InterpolateEdge (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdType p1, vtkIdType p2, double t)
| Interpolate data from the two points p1,p2 (forming an edge) and an interpolation factor, t, along the edge. More...
void | InterpolateTime (vtkDataSetAttributes *from1, vtkDataSetAttributes *from2, vtkIdType id, double t)
| Interpolate data from the same id (point or cell) at different points in time (parameter t). More...
void | CopyAllocate (vtkDataSetAttributes::FieldList &list, vtkIdType sze=0, vtkIdType ext=1000)
| A special form of CopyAllocate() to be used with FieldLists. More...
void | CopyData (vtkDataSetAttributes::FieldList &list, vtkDataSetAttributes *dsa, int idx, vtkIdType fromId, vtkIdType toId)
| Special forms of CopyData() to be used with FieldLists. More...
void | CopyData (vtkDataSetAttributes::FieldList &list, vtkDataSetAttributes *dsa, int idx, vtkIdType dstStart, vtkIdType n, vtkIdType srcStart)
void | InterpolateAllocate (vtkDataSetAttributes::FieldList &list, vtkIdType sze=0, vtkIdType ext=1000)
| A special form of InterpolateAllocate() to be used with FieldLists. More...
void | InterpolatePoint (vtkDataSetAttributes::FieldList &list, vtkDataSetAttributes *fromPd, int idx, vtkIdType toId, vtkIdList *ids, double *weights)
| Interpolate data set attributes from other data set attributes given cell or point ids and associated interpolation weights. More...
int | SetScalars (vtkDataArray *da)
| Set/Get the scalar data. More...
int | SetActiveScalars (const char *name)
| Set/Get the scalar data. More...
vtkDataArray * | GetScalars ()
| Set/Get the scalar data. More...
int | SetVectors (vtkDataArray *da)
| Set/Get the vector data. More...
int | SetActiveVectors (const char *name)
| Set/Get the vector data. More...
vtkDataArray * | GetVectors ()
| Set/Get the vector data. More...
int | SetNormals (vtkDataArray *da)
| Set/get the normal data. More...
int | SetActiveNormals (const char *name)
| Set/get the normal data. More...
vtkDataArray * | GetNormals ()
| Set/get the normal data. More...
int | SetTangents (vtkDataArray *da)
| Set/get the tangent data. More...
int | SetActiveTangents (const char *name)
| Set/get the tangent data. More...
vtkDataArray * | GetTangents ()
| Set/get the tangent data. More...
int | SetTCoords (vtkDataArray *da)
| Set/Get the texture coordinate data. More...
int | SetActiveTCoords (const char *name)
| Set/Get the texture coordinate data. More...
vtkDataArray * | GetTCoords ()
| Set/Get the texture coordinate data. More...
int | SetTensors (vtkDataArray *da)
| Set/Get the tensor data. More...
int | SetActiveTensors (const char *name)
| Set/Get the tensor data. More...
vtkDataArray * | GetTensors ()
| Set/Get the tensor data. More...
int | SetGlobalIds (vtkDataArray *da)
| Set/Get the global id data. More...
int | SetActiveGlobalIds (const char *name)
| Set/Get the global id data. More...
vtkDataArray * | GetGlobalIds ()
| Set/Get the global id data. More...
int | SetPedigreeIds (vtkAbstractArray *da)
| Set/Get the pedigree id data. More...
int | SetActivePedigreeIds (const char *name)
| Set/Get the pedigree id data. More...
vtkAbstractArray * | GetPedigreeIds ()
| Set/Get the pedigree id data. More...
int | SetRationalWeights (vtkDataArray *da)
| Set/Get the rational weights data. More...
int | SetActiveRationalWeights (const char *name)
| Set/Get the rational weights data. More...
vtkDataArray * | GetRationalWeights ()
| Set/Get the rational weights data. More...
int | SetHigherOrderDegrees (vtkDataArray *da)
| Set/Get the rational degrees data. More...
int | SetActiveHigherOrderDegrees (const char *name)
| Set/Get the rational degrees data. More...
vtkDataArray * | GetHigherOrderDegrees ()
| Set/Get the rational degrees data. More...
int | SetProcessIds (vtkDataArray *da)
| Set/Get the process id data. More...
int | SetActiveProcessIds (const char *name)
| Set/Get the process id data. More...
vtkDataArray * | GetProcessIds ()
| Set/Get the process id data. More...
vtkDataArray * | GetScalars (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetVectors (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetNormals (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetTangents (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetTCoords (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetTensors (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetGlobalIds (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkAbstractArray * | GetPedigreeIds (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetRationalWeights (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetHigherOrderDegrees (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
vtkDataArray * | GetProcessIds (const char *name)
| If the string is nullptr or empty, calls the alternate method of the same name (that takes no parameters). More...
void | RemoveArray (int index) override
| Remove an array (with the given index) from the list of arrays. More...
virtual void | RemoveArray (const char *name)
| Remove an array (with the given index) from the list of arrays. More...
virtual void | RemoveArray (int index)
| Remove an array (with the given index) from the list of arrays. More...
void | CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze=0, vtkIdType ext=1000)
| Allocates point data for point-by-point (or cell-by-cell) copy operation. More...
void | CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays)
| Allocates point data for point-by-point (or cell-by-cell) copy operation. More...
void | CopyData (vtkDataSetAttributes *fromPd, vtkIdType fromId, vtkIdType toId)
| Copy the attribute data from one id to another. More...
void | CopyData (vtkDataSetAttributes *fromPd, vtkIdList *fromIds, vtkIdList *toIds)
| Copy the attribute data from one id to another. More...
void | CopyData (vtkDataSetAttributes *fromPd, vtkIdList *fromIds, vtkIdType destStartId=0)
| Copy the attribute data from one id to another. More...
void | CopyTuple (vtkAbstractArray *fromData, vtkAbstractArray *toData, vtkIdType fromId, vtkIdType toId)
| Copy a tuple (or set of tuples) of data from one data array to another. More...
void | CopyTuples (vtkAbstractArray *fromData, vtkAbstractArray *toData, vtkIdList *fromIds, vtkIdList *toIds)
| Copy a tuple (or set of tuples) of data from one data array to another. More...
void | CopyTuples (vtkAbstractArray *fromData, vtkAbstractArray *toData, vtkIdType dstStart, vtkIdType n, vtkIdType srcStart)
| Copy a tuple (or set of tuples) of data from one data array to another. More...
void | InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze=0, vtkIdType ext=1000)
| Initialize point interpolation method. More...
void | InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext, int shallowCopyArrays)
| Initialize point interpolation method. More...
Public Member Functions inherited from vtkFieldData
vtkFieldData * | NewInstance () const
vtkTypeBool | Allocate (vtkIdType sz, vtkIdType ext=1000)
| Allocate data for each array. More...
void | CopyStructure (vtkFieldData *)
| Copy data array structure from a given field. More...
void | AllocateArrays (int num)
| AllocateArrays actually sets the number of vtkAbstractArray pointers in the vtkFieldData object, not the number of used pointers (arrays). More...
int | GetNumberOfArrays ()
| Get the number of arrays of data available. More...
int | AddArray (vtkAbstractArray *array)
| Add an array to the array list. More...
void | NullData (vtkIdType id)
| Sets every vtkDataArray at index id to a null tuple. More...
vtkDataArray * | GetArray (int i)
| Not recommended for use. More...
vtkDataArray * | GetArray (const char *arrayName, int &index)
| Not recommended for use. More...
vtkAbstractArray * | GetAbstractArray (int i)
| Returns the ith array in the field. More...
vtkAbstractArray * | GetAbstractArray (const char *arrayName, int &index)
| Return the array with the name given. More...
void | CopyFieldOn (const char *name)
| Turn on/off the copying of the field specified by name. More...
void | CopyFieldOff (const char *name)
void | Squeeze ()
| Squeezes each data array in the field (Squeeze() reclaims unused memory.) More...
void | Reset ()
| Resets each data array in the field (Reset() does not release memory but it makes the arrays look like they are empty.) More...
virtual unsigned long | GetActualMemorySize ()
| Return the memory in kibibytes (1024 bytes) consumed by this field data. More...
vtkMTimeType | GetMTime () override
| Check object's components for modified times. More...
void | GetField (vtkIdList *ptId, vtkFieldData *f)
| Get a field from a list of ids. More...
int | GetArrayContainingComponent (int i, int &arrayComp)
| Return the array containing the ith component of the field. More...
int | GetNumberOfComponents ()
| Get the number of components in the field. More...
vtkIdType | GetNumberOfTuples ()
| Get the number of tuples in the field. More...
void | SetNumberOfTuples (vtkIdType number)
| Set the number of tuples for each data array in the field. More...
void | SetTuple (vtkIdType i, vtkIdType j, vtkFieldData *source)
| Set the jth tuple in source field data at the ith location. More...
void | InsertTuple (vtkIdType i, vtkIdType j, vtkFieldData *source)
| Insert the jth tuple in source field data at the ith location. More...
vtkIdType | InsertNextTuple (vtkIdType j, vtkFieldData *source)
| Insert the jth tuple in source field data at the end of the tuple matrix. More...
bool | HasAnyGhostBitSet (int bitFlag)
| Helper function that tests if any of the values in ghost array has been set. More...
virtual vtkUnsignedCharArray * | GetGhostArray ()
| Get the ghost array, if present in this field data. More...
virtual void | RemoveArray (const char *name)
| Remove an array (with the given name) from the list of arrays. More...
vtkDataArray * | GetArray (const char *arrayName)
| Not recommended for use. More...
vtkAbstractArray * | GetAbstractArray (const char *arrayName)
| Return the array with the name given. More...
vtkTypeBool | HasArray (const char *name)
| Return 1 if an array with the given name could be found. More...
const char * | GetArrayName (int i)
| Get the name of ith array. More...
bool | GetRange (const char *name, double range[2], int comp=0)
| Computes the range of the input data array (specified through its `name` or the `index` in this field data). More...
bool | GetRange (int index, double range[2], int comp=0)
| Computes the range of the input data array (specified through its `name` or the `index` in this field data). More...
bool | GetFiniteRange (const char *name, double range[2], int comp=0)
| Computes the range of the input data array (specified through its `name` or the `index` in this field data). More...
bool | GetFiniteRange (int index, double range[2], int comp=0)
| Computes the range of the input data array (specified through its `name` or the `index` in this field data). More...
virtual unsigned char | GetGhostsToSkip ()
| Set / Get the binary mask filtering out certain types of ghosts when calling `GetRange`. More...
virtual void | SetGhostsToSkip (unsigned char)
| Set / Get the binary mask filtering out certain types of ghosts when calling `GetRange`. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkPointData * | New ()
static vtkPointData * | ExtendedNew ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPointData * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkDataSetAttributes
static vtkDataSetAttributes * | New ()
| Construct object with copying turned on for all data. More...
static vtkDataSetAttributes * | ExtendedNew ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDataSetAttributes * | SafeDownCast (vtkObjectBase *o)
static const char * | GhostArrayName ()
static const char * | GetAttributeTypeAsString (int attributeType)
| Given an integer attribute type, this static method returns a string type for the attribute (i.e. More...
static const char * | GetLongAttributeTypeAsString (int attributeType)
| Given an integer attribute type, this static method returns a string type for the attribute (i.e. More...
Static Public Member Functions inherited from vtkFieldData
static vtkFieldData * | New ()
static vtkFieldData * | ExtendedNew ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkFieldData * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkPointData ()
| ~vtkPointData () override=default
Protected Member Functions inherited from vtkDataSetAttributes
| vtkDataSetAttributes ()
| ~vtkDataSetAttributes () override
void | InternalCopyAllocate (vtkDataSetAttributes *pd, int ctype, vtkIdType sze=0, vtkIdType ext=1000, int shallowCopyArrays=0, bool createNewArrays=true)
void | InitializeFields () override
| Initialize all of the object's data to nullptr. More...
Protected Member Functions inherited from vtkFieldData
| vtkFieldData ()
| ~vtkFieldData () override
void | SetArray (int i, vtkAbstractArray *array)
| Set an array to define the field. More...
void | CopyFieldOnOff (const char *name, int onOff)
void | ClearFieldFlags ()
int | FindFlag (const char *field)
int | GetFlag (const char *field)
void | CopyFlags (const vtkFieldData *source)
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Protected Types inherited from vtkFieldData
using | CachedGhostRangeType = std::tuple< vtkMTimeType, vtkMTimeType, std::vector< double > >
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkDataSetAttributes
int | AttributeIndices [NUM_ATTRIBUTES]
int | CopyAttributeFlags [ALLCOPY][NUM_ATTRIBUTES]
vtkFieldData::BasicIterator | RequiredArrays
int * | TargetIndices
Protected Attributes inherited from vtkFieldData
int | NumberOfArrays
int | NumberOfActiveArrays
vtkAbstractArray ** | Data
CopyFieldFlag * | CopyFieldFlags
int | NumberOfFieldFlags
int | DoCopyAllOn
int | DoCopyAllOff
unsigned char | GhostsToSkip
vtkUnsignedCharArray * | GhostArray
std::vector< std::array< CachedGhostRangeType, 2 > > | Ranges
| `Ranges` and `FiniteRanges` store cached ranges for arrays stored in this field data. More...
std::vector< std::array< CachedGhostRangeType, 2 > > | FiniteRanges
| `Ranges` and `FiniteRanges` store cached ranges for arrays stored in this field data. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
Static Protected Attributes inherited from vtkDataSetAttributes
static const int | NumberOfAttributeComponents [NUM_ATTRIBUTES]
static const int | AttributeLimits [NUM_ATTRIBUTES]
static const char | AttributeNames [NUM_ATTRIBUTES][19]
static const char | LongAttributeNames [NUM_ATTRIBUTES][42]

## Detailed Description

represent and manipulate point attribute data

vtkPointData is a class that is used to represent and manipulate point attribute data (e.g., scalars, vectors, normals, texture coordinates, etc.) Most of the functionality is handled by vtkDataSetAttributes.

By default, `GhostTypesToSkip` is set to `DUPLICATEPOINT | HIDDENPOINT`. See `vtkDataSetAttributes` for the definition of those constants.

Examples:
  vtkPointData (Examples)

Online Examples:

Tests:
  vtkPointData (Tests)

Definition at line 38 of file vtkPointData.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkDataSetAttributes vtkPointData::Superclass

Definition at line 44 of file vtkPointData.h.

## Constructor & Destructor Documentation

## ◆ vtkPointData()

vtkPointData::vtkPointData | ( |  | ) |
| protected

## ◆ ~vtkPointData()

vtkPointData::~vtkPointData | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ New()

static vtkPointData* vtkPointData::New | ( |  | ) |
| static

## ◆ ExtendedNew()

static vtkPointData* vtkPointData::ExtendedNew | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkPointData::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkPointData::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkDataSetAttributes.

## ◆ SafeDownCast()

static vtkPointData* vtkPointData::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPointData::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkDataSetAttributes.

## ◆ NewInstance()

vtkPointData* vtkPointData::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkPointData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkDataSetAttributes.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkPointData.h